> For the complete documentation index, see [llms.txt](https://app.developers.karte.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://app.developers.karte.io/android-sdk-appendix/concepts-default-events-android-sdk.md).

# \[Android]SDKが標準で送るイベント

特別な実装なしにSDKが自動で発生させるイベントがいくつかあります。\
そのため下記に記載のイベントに関しては、別途実装を行う必要はありません。

| 計測イベント              | イベント名                         | イベントの内容と送信タイミング                                                                                                                                                                                                                                                                                 |
| ------------------- | ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| インストール              | `native_app_install`          | <p>アプリのインストール後の初回起動時（SDKの初期化直後）に発生します。<br>厳密にはSDK導入後の初回起動で発生するイベントであるため、イベント発生がインストール直後であることは保証されません。</p>                                                                                                                                                                                       |
| アップデート              | `native_app_update`           | <p>アプリのアップデート後の初回起動時（SDKの初期化直後）に発生します。<br>SDK導入時点のアップデートでは、本イベントは発生しません。</p>                                                                                                                                                                                                                    |
| アプリ起動               | `native_app_open`             | アプリ起動時（SDKの初期化直後）に発生します。                                                                                                                                                                                                                                                                        |
| アプリクラッシュ            | `native_app_crashed`          | アプリクラッシュ後の起動時に発生します。                                                                                                                                                                                                                                                                            |
| 接客配信                | `message_open`                | アプリ内メッセージが表示された時に発生します。                                                                                                                                                                                                                                                                         |
| 接客クリック              | `message_click`               | <p>\* アプリ内メッセージ内のリンク（aタグ）を開いた時<br>\* ターゲット配信で送信されたアプリPUSH通知をタップした時</p>                                                                                                                                                                                                                          |
| 接客クローズ              | `message_close`               | <p>アプリ内メッセージが閉じられた時に発生します。<br>アプリ内メッセージのリンク（aタグ）クリックにより閉じられる場合は本イベントは発生しません。</p>                                                                                                                                                                                                                |
| ネイティブアプリ・プッシュ通知用の情報 | `plugin_native_app_identify`  | <p>Notifications SDK を適切に実装した状態でアプリ起動した場合に発生します。またSDKの<a href="https://plaidev.github.io/karte-sdk-docs/android/notifications/latest/io.karte.android.notifications/-notifications-config/index.html">enabledFCMTokenResend</a> オプションが有効な場合はSDKの初期化時にも発生します。<br>FCMトークンや通知パーミッションの状態が送られます。</p> |
| フォアグラウンド            | `native_app_foreground`       | <p>オプション<br>アプリがフォアグラウンドに遷移するタイミングでイベントが発生します。</p>                                                                                                                                                                                                                                              |
| バックグラウンド            | `native_app_background`       | アプリがバックグラウンドに遷移するタイミングでイベントが発生します。                                                                                                                                                                                                                                                              |
| ビジターIDのリセット         | `native_app_renew_visitor_id` | <p>renewVisitorIdメソッドを呼び出した時にイベントが発生します。<br>※ アプリインストール後の最初の計測で必ず発生します</p>                                                                                                                                                                                                                      |
| ディープリンクによるアプリ起動     | `deep_link_app_open`          | <p>ディープリンクによってアプリが起動した時にイベントが発生します。<br>なお起動中のアプリ内で自身のアプリのディープリンクを開いた場合も本イベントが発生します。<br><br>例<br>- Webサイトや他社アプリ上のリンククリックによるアプリ起動<br>- アプリ内メッセージ上のリンククリックによるアプリ特定画面への遷移</p>                                                                                                                       |
| 自分探し                | `native_find_myself`          | native\_find\_myself 発火用のQRコードからアプリが起動されたタイミングで発生します。                                                                                                                                                                                                                                           |
| プッシュ通知受信時           | `_message_reached`            | プッシュ通知受信時に発生します。                                                                                                                                                                                                                                                                                |
| プッシュ通知削除時           | `_message_ignored`            | プッシュ通知削除時に発生します。                                                                                                                                                                                                                                                                                |
| 接客クリック(Message β)   | `mass_push_click`             | Message βで送信されたアプリPUSH通知をタップした時                                                                                                                                                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://app.developers.karte.io/android-sdk-appendix/concepts-default-events-android-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
